%global module_name mwlib.docbook

Name:           python-mwlib-docbook
Version:        0.1.0
Release:        16%{?dist}
Summary:        DocBook writer for mwlib

License:        BSD
URL:            https://github.com/pediapress/%{module_name}
Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
mwlib provides a library for parsing MediaWiki articles and converting them to\
different output formats. This package contains the necessary code to output\
articles in DocBook format.\


%description %_description

%package -n python2-mwlib-docbook
Summary: %summary
Requires:       python2-mwlib
Requires:       python2-mwlib-xhtml
%{?python_provide:%python_provide python2-mwlib-docbook}

%description -n python2-mwlib-docbook %_description

%prep
%setup -qn %{module_name}-%{version}

sed -i '/^#!/d' mwlib/*.py
chmod a-x mwlib/*.py


%build
%py2_build


%install
%py2_install

 
%files -n python2-mwlib-docbook
%{python2_sitelib}/%{module_name}-*
%{python2_sitelib}/mwlib/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.0-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-13
- Python 2 binary package renamed to python2-mwlib-docbook
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 17 2012 Ian Weller <iweller@redhat.com> - 0.1.0-3
- Add BR: python-setuptools

* Wed Feb 15 2012 Ian Weller <iweller@redhat.com> - 0.1.0-2
- Change BR: python-devel to python2-devel
- rm rm -rf

* Tue Jan 31 2012 Ian Weller <iweller@redhat.com> - 0.1.0-1
- Initial package build
